## golang-github-sethvargo-go-fastly 1.2.1%2Bgit20190805.5c6c8bd

=== Makefile ===
# Metadata about this makefile and position
MKFILE_PATH := $(lastword $(MAKEFILE_LIST))
CURRENT_DIR := $(patsubst %/,%,$(dir $(realpath $(MKFILE_PATH))))

# Ensure GOPATH
GOPATH ?= $(HOME)/go

# List all our actual files, excluding vendor
GOFILES ?= $(shell go list $(FILES) | grep -v /vendor/)

# Tags specific for building
GOTAGS ?=

# Number of procs to use
GOMAXPROCS ?= 4

PROJECT := $(CURRENT_DIR:$(GOPATH)/src/%=%)
OWNER := $(notdir $(patsubst %/,%,$(dir $(PROJECT))))
NAME := $(notdir $(PROJECT))
EXTERNAL_TOOLS = \
	github.com/golang/dep/cmd/dep

# Current system information
GOOS ?= $(shell go env GOOS)
GOARCH ?= $(shell go env GOARCH)
GOCACHE ?= $(shell go env GOCACHE)

# List of tests to run
FILES ?= ./...

# bootstrap installs the necessary go tools for development or build.
bootstrap:
	@echo "==> Bootstrapping ${PROJECT}"
	@for t in ${EXTERNAL_TOOLS}; do \
		echo "--> Installing $$t" ; \
		go get -u "$$t"; \
	done
.PHONY: bootstrap

clean:
	@echo "==> Cleaning ${NAME}"
	@rm -rf pkg
.PHONY: clean

# build builds the binary into pkg/
build:
	@echo "==> Building ${NAME} for ${GOOS}/${GOARCH}"
	@env \
		-i \
		PATH="${PATH}" \
		CGO_ENABLED="0" \
		GOOS="${GOOS}" \
		GOARCH="${GOARCH}" \
		GOCACHE="${GOCACHE}" \
		GOPATH="${GOPATH}" \
		go build -a -o "pkg/${GOOS}_${GOARCH}/${NAME}" ${GOFILES}
.PHONY: build

# deps updates all dependencies for this project.
deps:
	@echo "==> Updating deps for ${PROJECT}"
	@dep ensure -update
	@dep prune
.PHONY: deps

# dev builds and installs the
dev:
	@echo "==> Installing ${NAME} for ${GOOS}/${GOARCH}"
	@env \
		-i \
		PATH="${PATH}" \
		CGO_ENABLED="0" \
		GOOS="${GOOS}" \
		GOARCH="${GOARCH}" \
		GOCACHE="${GOCACHE}" \
		GOPATH="${GOPATH}" \
		go install ${GOFILES}
.PHONY: dev

# linux builds the linux binary
linux:
	@env \
		GOOS="linux" \
		GOARCH="amd64" \
		$(MAKE) -f "${MKFILE_PATH}" build
.PHONY: linux

# test runs the test suite.
test:
	@echo "==> Testing ${NAME}"
	@go test -timeout=30s -parallel=20 -tags="${GOTAGS}" ${GOFILES} ${TESTARGS}
.PHONY: test

# test-race runs the test suite.
test-race:
	@echo "==> Testing ${NAME} (race)"
	@go test -timeout=60s -race -tags="${GOTAGS}" ${GOFILES} ${TESTARGS}
.PHONY: test-race

## golang-github-sethvargo-go-fastly 1.2.1+git20190805.5c6c8bd

=== debian/changelog ===
golang-github-sethvargo-go-fastly (1.2.1+git20190805.5c6c8bd-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 10 Nov 2019 21:10:10 +0000

golang-github-sethvargo-go-fastly (1.2.1+git20190805.5c6c8bd-1) unstable; urgency=medium

  * Initial release (Closes: #821266)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Aug 2019 21:03:17 +0000

=== debian/control ===
Source: golang-github-sethvargo-go-fastly
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-ajg-form-dev,
               golang-github-dnaeon-go-vcr-dev,
               golang-github-google-jsonapi-dev,
               golang-github-hashicorp-go-cleanhttp-dev,
               golang-github-mitchellh-mapstructure-dev
Standards-Version: 4.3.0
Homepage: https://github.com/sethvargo/go-fastly
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sethvargo-go-fastly
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sethvargo-go-fastly.git
XS-Go-Import-Path: github.com/sethvargo/go-fastly
Testsuite: autopkgtest-pkg-go

Package: golang-github-sethvargo-go-fastly-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-ajg-form-dev,
         golang-github-dnaeon-go-vcr-dev,
         golang-github-google-jsonapi-dev,
         golang-github-hashicorp-go-cleanhttp-dev,
         golang-github-mitchellh-mapstructure-dev
Description: Fastly API client library
 Go Fastly is a Golang API client for interacting with most facets of
 the Fastly API.
 .
 Fastly's API is designed to work in the following manner:
  - Create (or clone) a new configuration version for the service
  - Make any changes to the version
  - Validate the version
  - Activate the version

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-sethvargo-go-fastly-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/sethvargo/go-fastly/tags .*/v?(\d\S*)\.tar\.gz
